---
lang: en
title: 'API docs: security.role'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/security
permalink: /doc/en/lb4/apidocs.security.role.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/security](./security.md) &gt; [Role](./security.role.md)

## Role interface

<b>Signature:</b>

```typescript
export interface Role extends Principal 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [name](./security.role.name.md) | <code>string</code> |  |


